<?php 
include('../../../../configuracion.php');
include('../config.php');
	 	 
///////////////////////////////////////////////////////
 
$cuota = isset($_POST['cuota']) ? $_POST['cuota'] : NULL;
$lacuota = $db->row("socio_cuotas","*","id='{$cuota}'");
$socio = isset($_POST['socio']) ? $_POST['socio'] : NULL;
$elsocio = $db->row("usuarios","*","id='{$socio}'");



$subcategoria = isset($_POST['subcategoria']) ? $_POST['subcategoria'] : NULL;
$grupo = isset($_POST['grupo']) ? $_POST['grupo'] : NULL;
$marca = isset($_POST['marca']) ? $_POST['marca'] : NULL;



$nombre = isset($_POST['nombre']) ? $_POST['nombre'] : NULL;
$valor = isset($_POST['valor']) ? $_POST['valor'] : NULL;
$medio_pago = isset($_POST['medio_pago']) ? $_POST['medio_pago'] : NULL;
$transaccion_pago = isset($_POST['transaccion_pago']) ? $_POST['transaccion_pago'] : NULL;
$observacion = isset($_POST['observacion']) ? $_POST['observacion'] : NULL;
$fecha_pago = isset($_POST['fecha_pago']) ? $_POST['fecha_pago'] : NULL;


$nombre = funcion::LimpiaComillaSimple($nombre);
$valor = funcion::LimpiaComillaSimple($valor);
$medio_pago = funcion::LimpiaComillaSimple($medio_pago);
$transaccion_pago = funcion::LimpiaComillaSimple($transaccion_pago);
$observacion = funcion::LimpiaComillaSimple($observacion);
$fecha_pago = funcion::LimpiaComillaSimple($fecha_pago);

$autor = $_SESSION['administrador_mago_id'];
$fecha_ingreso = date('Y-m-d H:i:s');

		$datos = array(
			'tipo'				=> @$elsocio->socio_tipo+0,
			'cuota'				=> @$lacuota->id+0,
			'valor'				=> @$valor+0,
			'nombre'			=> $db->string($nombre),
			'fecha_cobro'		=> $db->string($lacuota->fecha_cobro),
			'fecha_vencimiento'	=> $db->string($lacuota->fecha_vencimiento),
			'socio'				=> @$elsocio->id+0,
			'fecha_pago'		=> $db->string($fecha_pago),
			'medio_pago'		=> $db->string($medio_pago),
			'transaccion_pago'	=> $db->string($transaccion_pago),
			'observacion'		=> $db->string($observacion,html),
			'estado'			=> @1,
			'autor'				=> @$autor+0,
			'editor'			=> @$autor+0,
			'fecha_ingreso'		=> $db->string($fecha_ingreso),
			'fecha_edicion'		=> $db->string($fecha_ingreso)
		);

		$db->insert("socio_cuotas_pagos",$datos);
		$id = $db->UltimoId("socio_cuotas_pagos");

		if (!empty($id)) {
			$mensaje_respuesta = 'Datos agregados.';
			$url_respuesta = MAGO."c/".MODULO."/cuotas/".$elsocio->id;
		} else {
			$mensaje_respuesta = 'ERROR: No se pudo agregar.';
			$url_respuesta = MAGO."c/".MODULO."/cuotas/".$elsocio->id."&error";
		}




		$ruta = "../../../../socios/documentos/";

		include_once 'class.upload.php';
		$imagen = new upload($_FILES['documento']);
		// Comprobamos si se subió la imagen
		if ($imagen->uploaded) {
// ===================================================================================
		// CREAMOS LA IMAGEN ORIGINAL
			  
			  $imagen->image_convert			= 'jpg';
			  $imagen->jpeg_quality				= 92;
			  $imagen->allowed					= array('image/*');
			  $imagen->file_new_name_body		= $id;
			  $imagen->file_new_name_ext		= 'jpg';
			  $imagen->image_resize				= true;
			  $imagen->image_background_color	= '#fff';
			  $imagen->image_ratio_y			= true;
			  $imagen->image_x					= 800;
			  $imagen->image_y					= 1200;
			  
			  $imagen->process($ruta);
			  if ($imagen->processed) {
				  
				// Subimos a la base de datos
				$datos = array(
					'documento'	=> $db->string($imagen->file_dst_name),
				);		
				$db->update("socio_cuotas_pagos",$datos,"id='$id'");	
				
				} else {
					$mensaje_respuesta = $mensaje_respuesta.'<br>ERROR: '.$imagen->error;
				}
		// FIN DE LA CREACIÓN DE LA IMAGEN ORIGINAL
		// ===================================================================================
		
			}





echo $mensaje_respuesta.'|'.$url_respuesta;
exit;
?>